import storyQuerier from "~/lib/server/dbHelpers/storyQuerier";
import chapterTransformer from "~/lib/server/dbHelpers/chapterTransformer";
import storyCheck from "~/lib/server/middlewareButNotReally/storyCheck";
import isLoggedIn from "~/lib/server/middlewareButNotReally/isLoggedIn";

export default eventHandler(async (ev) => {
	isLoggedIn(ev);
	const s = await storyQuerier(ev);
	const story = s.toObject();
	for (let i = 0; i < story.chapters.length; i++) {
		story.chapters[i] = await chapterTransformer(s, ev, i);
	}
	return story;
});
